------------------------------------------------------------
revno: 2678
committer: mysqldev <mysqldev@production.mysql.com>
branch nick: mysql-5.1.28-rc-release
timestamp: Thu 2008-08-28 16:16:43 +0200
message:
  Added "-rc" to the release number
------------------------------------------------------------
revno: 2677
committer: Georgi Kodinov <kgeorge@mysql.com>
branch nick: mysql-5.1.28-rc-release
timestamp: Thu 2008-08-28 16:16:06 +0300
message:
  on behalf of jasonh : fix of a test problem re bug#37051: 
  Wait for slave to stop before set skip counter
------------------------------------------------------------
revno: 2676
tags: clone-5.1.28-build
committer: Georgi Kodinov <kgeorge@mysql.com>
branch nick: merge-5.1-bugteam
timestamp: Thu 2008-08-28 12:54:50 +0300
message:
  merge 5.0-bugteam -> 5.1-bugteam
    ------------------------------------------------------------
    revno: 1810.3760.15
    committer: Georgi Kodinov <kgeorge@mysql.com>
    branch nick: merge-5.0-bugteam
    timestamp: Thu 2008-08-28 12:18:35 +0300
    message:
      merge 5.0-main -> 5.0-bugteam
        ------------------------------------------------------------
        revno: 1810.3762.1
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.0
        timestamp: Tue 2008-08-26 15:27:04 -0300
        message:
          Merge of mysql-5.0-bugteam branch. 
    ------------------------------------------------------------
    revno: 1810.3760.14
    committer: Gleb Shchepa <gshchepa@mysql.com>
    branch nick: mysql-5.0-bugteam
    timestamp: Thu 2008-08-28 02:10:37 +0500
    message:
      Bug #37799: SELECT with a BIT column in WHERE clause
                  returns unexpected result
      
      If:
        1. a table has a not nullable BIT column c1 with a length
           shorter than 8 bits and some additional not nullable
           columns c2 etc, and
        2. the WHERE clause is like: (c1 = constant) AND c2 ...,
      the SELECT query returns unexpected result set.
      
      
      The server stores BIT columns in a tricky way to save disk
      space: if column's bit length is not divisible by 8, the
      server places reminder bits among the null bits at the start
      of a record. The rest bytes are stored in the record itself,
      and Field::ptr points to these rest bytes.
      
      However if a bit length of the whole column is less than 8,
      there are no remaining bytes, and there is nothing to store in
      the record at its regular place. In this case Field::ptr points
      to bytes actually occupied by the next column in a record.
      If both columns (BIT and the next column) are NOT NULL,
      the Field::eq function incorrectly deduces that this is the
      same column, so query transformation/equal item elimination
      code (see build_equal_items_for_cond) may mix these columns
      and damage conditions containing references to them.
    ------------------------------------------------------------
    revno: 1810.3760.13
    committer: Evgeny Potemkin <epotemkin@mysql.com>
    branch nick: 38195-bug-5.0-bugteam
    timestamp: Wed 2008-08-27 17:03:17 +0400
    message:
      Bug#38195: Incorrect handling of aggregate functions when loose index scan is
      used causes server crash.
            
      When the loose index scan access method is used values of aggregated functions
      are precomputed by it. Aggregation of such functions shouldn't be performed
      in this case and functions should be treated as normal ones.
      The create_tmp_table function wasn't taking this into account and this led to
      a crash if a query has MIN/MAX aggregate functions and employs temporary table
      and loose index scan.
      Now the JOIN::exec and the create_tmp_table functions treat MIN/MAX aggregate
      functions as normal ones when the loose index scan is used.
------------------------------------------------------------
revno: 2675
committer: Georgi Kodinov <kgeorge@mysql.com>
branch nick: merge-5.1-bugteam
timestamp: Thu 2008-08-28 11:26:06 +0300
message:
  merged 5.1-rpl-merge -> 5.1-bugteam
    ------------------------------------------------------------
    revno: 2672.23.4
    committer: Mats Kindahl <mats@mysql.com>
    branch nick: merge-5.1-rpl-merge
    timestamp: Wed 2008-08-27 20:52:44 +0200
    message:
      Merging 5.1 into 5.1-rpl-merge
    ------------------------------------------------------------
    revno: 2672.23.3
    committer: Mats Kindahl <mats@mysql.com>
    branch nick: merge-5.1-rpl-merge
    timestamp: Wed 2008-08-27 16:21:10 +0200
    message:
      Automerge
        ------------------------------------------------------------
        revno: 2672.25.1
        committer: Mats Kindahl <mats@mysql.com>
        branch nick: 5.1-rpl-merge
        timestamp: Wed 2008-08-27 11:05:04 +0200
        message:
          Automerge
        ------------------------------------------------------------
        revno: 2672.24.3
        committer: He Zhenxing <hezx@mysql.com>
        branch nick: 5.1-rpl-merge
        timestamp: Tue 2008-08-26 20:11:56 +0800
        message:
          Fix cherry picking patch of BUG#37051
        ------------------------------------------------------------
        revno: 2672.24.2
        committer: He Zhenxing <hezx@mysql.com>
        branch nick: 5.1-rpl-merge
        timestamp: Tue 2008-08-26 18:07:56 +0800
        message:
          Cherry picking post fixes for BUG#37051
        ------------------------------------------------------------
        revno: 2672.24.1
        committer: He Zhenxing <hezx@mysql.com>
        branch nick: 5.1-rpl-merge
        timestamp: Tue 2008-08-26 18:01:49 +0800
        message:
          Cherry picking patch for BUG#37051
    ------------------------------------------------------------
    revno: 2672.23.2
    committer: Mats Kindahl <mats@mysql.com>
    branch nick: merge-5.1-rpl-merge
    timestamp: Wed 2008-08-27 16:17:55 +0200
    message:
      Result file change.
    ------------------------------------------------------------
    revno: 2672.23.1
    committer: Mats Kindahl <mats@mysql.com>
    branch nick: merge-5.1-rpl-merge
    timestamp: Wed 2008-08-27 11:02:37 +0200
    message:
      Merge b38773-5.1-rpl-merge into 5.1-rpl-merge
    ------------------------------------------------------------
    revno: 2672.22.1
    committer: Mats Kindahl <mats@mysql.com>
    branch nick: b38773-5.1-rpl-merge
    timestamp: Wed 2008-08-27 10:40:11 +0200
    message:
      Bug #38773: DROP DATABASE cause switch to stmt-mode when there are temporary
                  tables open
      
      When executing a DROP DATABASE statement in ROW mode and having temporary
      tables open at the same time, the existance of temporary tables prevent
      the server from switching back to row mode after temporarily switching to
      statement mode to handle the logging of the statement.
      
      Fixed the problem by removing the code to switch to statement mode and added
      code to temporarily disable the binary log while dropping the objects in the
      database.
------------------------------------------------------------
revno: 2674
committer: Georgi Kodinov <kgeorge@mysql.com>
branch nick: B37548-5.1-bugteam
timestamp: Wed 2008-08-27 18:39:09 +0300
message:
  merged 5.1-bugteam into B37548 tree
    ------------------------------------------------------------
    revno: 2672.1.56
    committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
    branch nick: mysql-5.1-bugteam
    timestamp: Tue 2008-08-26 21:43:13 -0300
    message:
      Merge of mysql-5.1 branch.
        ------------------------------------------------------------
        revno: 2672.21.2
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1
        timestamp: Tue 2008-08-26 15:38:17 -0300
        message:
          Merge of mysql-5.1-bugteam branch. 
        ------------------------------------------------------------
        revno: 2672.21.1
        committer: Alexander Barkov <bar@mysql.com>
        branch nick: mysql-5.1.merge
        timestamp: Tue 2008-08-26 11:55:30 +0500
        message:
          Merging 5.1-rpl-testfixes to 5.1 main.
        ------------------------------------------------------------
        revno: 2646.8.17
        committer: Alexander Barkov <bar@mysql.com>
        branch nick: mysql-5.1-rpl-testfixes
        timestamp: Mon 2008-08-25 15:29:59 +0500
        message:
          Additional fix for bug#31455
          Fixing non-deterministic test results:
          the number of spaces in FLOAT/DOUBLE output could 
          vary between different platforms.
        ------------------------------------------------------------
        revno: 2646.8.16
        committer: Alexander Barkov <bar@mysql.com>
        branch nick: mysql-5.1-rpl-testfixes
        timestamp: Mon 2008-08-25 12:58:29 +0500
        message:
          Additional ffix for bug#31455
          - fixing double problem on big endian machines
          - modifying regex_replace to replace negative numbers
            Previously only positive numbers where replaced.
        ------------------------------------------------------------
        revno: 2646.8.15
        committer: Alexander Barkov <bar@mysql.com>
        branch nick: mysql-5.1-rpl-testfixes
        timestamp: Fri 2008-08-22 15:26:56 +0500
        message:
          Recording the result (forgot in previous commit)
        ------------------------------------------------------------
        revno: 2646.8.14
        committer: Alexander Barkov <bar@mysql.com>
        branch nick: mysql-5.1-rpl-testfixes
        timestamp: Fri 2008-08-22 15:14:30 +0500
        message:
          Additional fix for bug#31455
          Getting rid of non-deterministic results of sprintf("%-20g").
          Displaying only 3 digits after decimal dot.
        ------------------------------------------------------------
        revno: 2646.8.13
        committer: Alexander Barkov <bar@mysql.com>
        branch nick: mysql-5.1-rpl-testfixes
        timestamp: Fri 2008-08-22 10:17:52 +0500
        message:
          Additional fix for bug#31455.
          
          Exchanging "m_cols" and "m_cols_ai".
          
          Very confusing variable naming :(
        ------------------------------------------------------------
        revno: 2646.8.12
        committer: Alexander Barkov <bar@mysql.com>
        branch nick: mysql-5.1-rpl-testfixes
        timestamp: Fri 2008-08-22 09:22:16 +0500
        message:
          Additional fix for bug#31455
          
          Removing server version with regex_replace
          to avoid non-determenistic test results.
        ------------------------------------------------------------
        revno: 2646.8.11
        committer: Alexander Barkov <bar@mysql.com>
        branch nick: mysql-5.1-rpl-testfixes
        timestamp: Thu 2008-08-21 16:47:23 +0500
        message:
          Additional fix for bug#31455 (rpl decoder)
          
          - Implementing --base64-format=decode-rows, to display
            SQL-alike decoded row events without their BINLOG statements.
          - Adding --base64-format=decode-rows into tests when
            calling mysqlbinlog to avoid non-deterministic results
          - Removing resetting of last_table_id in "RESET MASTER",
            which appeared to be dangerous.
        ------------------------------------------------------------
        revno: 2646.8.10
        committer: Alexander Barkov <bar@mysql.com>
        branch nick: mysql-5.1-rpl-testfixes
        timestamp: Wed 2008-08-20 19:06:31 +0500
        message:
          Bug#31455 mysqlbinlog don't print user readable info about RBR events 
          
          Implementing -v command line parameter to mysqlbinlog
          to decode and print row events.
          
          mysql-test/include/mysqlbinlog_row_engine.inc
          mysql-test/r/mysqlbinlog_row.result
          mysql-test/r/mysqlbinlog_row_big.result
          mysql-test/r/mysqlbinlog_row_innodb.result
          mysql-test/r/mysqlbinlog_row_myisam.result
          mysql-test/r/mysqlbinlog_row_trans.result
          mysql-test/t/mysqlbinlog_row.test
          mysql-test/t/mysqlbinlog_row_big.test
          mysql-test/t/mysqlbinlog_row_innodb.test
          mysql-test/t/mysqlbinlog_row_myisam.test
          mysql-test/t/mysqlbinlog_row_trans.test
            Adding tests 
          
          client/Makefile.am
            Adding new files to symlink
            
          client/mysqlbinlog.cc
            Adding -v option
          
          sql/log_event.cc
            Impelentations of the new methods
          
          sql/log_event.h
            Declaration of the new methods and member
          
          sql/mysql_priv.h
            Adding new function prototype
          
          sql/rpl_tblmap.cc
            Adding pre-processor conditions 
          
          sql/rpl_tblmap.h
            Adding pre-processor conditions 
          
          sql/rpl_utility.h
            Adding pre-processor conditions 
          
          sql/sql_base.cc
            Adding reset_table_id_sequence() function.
          
          sql/sql_repl.cc
            Resetting table_id on "RESET MASTER"
            
          .bzrignore
            Ignoring new symlinked files
    ------------------------------------------------------------
    revno: 2672.1.55
    committer: Sergey Petrunia <sergefp@mysql.com>
    branch nick: mysql-5.1-bugteam-bug36639
    timestamp: Mon 2008-08-25 22:07:59 +0400
    message:
      Merge
        ------------------------------------------------------------
        revno: 2672.20.2
        committer: Mattias Jonsson <mattiasj@mysql.com>
        branch nick: topush4-51-bugteam
        timestamp: Tue 2008-08-26 17:10:21 +0200
        message:
          merge (updated to latest mysql-5.1-bugteam before push)
        ------------------------------------------------------------
        revno: 2672.20.1
        committer: Mattias Jonsson <mattiasj@mysql.com>
        branch nick: topush4-51-bugteam
        timestamp: Tue 2008-08-26 16:31:30 +0200
        message:
          Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY
          
          post push fix
          
          Updated partition_symlink since different error behavior
          if embedded (or not partitioned)
    ------------------------------------------------------------
    revno: 2672.1.54
    committer: Sergey Petrunia <sergefp@mysql.com>
    branch nick: mysql-5.1-bugteam-bug36639
    timestamp: Mon 2008-08-25 21:18:22 +0400
    message:
      Merge BUG#36639 into 5.1 
        ------------------------------------------------------------
        revno: 1810.3760.12
        committer: Sergey Petrunia <sergefp@mysql.com>
        branch nick: mysql-5.0-bugteam-bug36639
        timestamp: Mon 2008-08-25 21:02:54 +0400
        message:
          BUG#36639: subselect.test crashes on 64 bit pentium4 when compiled for valgrind, commit into 5.0
          - Use the compiler's default copy constructor for QUICK_RANGE_SELECT. 
            bcopy(this, copy, ...) call caused some odd action on gcc-4.1.2 on x86_64
    ------------------------------------------------------------
    revno: 2672.1.53
    committer: Ramil Kalimullin <ramil@mysql.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Tue 2008-08-26 18:53:22 +0500
    message:
      Merge
        ------------------------------------------------------------
        revno: 1810.3760.11
        committer: Ramil Kalimullin <ramil@mysql.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Tue 2008-08-26 18:51:06 +0500
        message:
          Fix for bug#37277: Potential crash when a spatial index isn't the first key
          
          Typo fixed.
          No test case as we actually don't use rtree_get_first() 
          and rtree_get_next() at present.
        ------------------------------------------------------------
        revno: 1810.3760.10
        committer: Ramil Kalimullin <ramil@mysql.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Tue 2008-08-26 18:48:50 +0500
        message:
          Fix for bug #37310: 'on update CURRENT_TIMESTAMP' option crashes the table
          
          Problem: data consistency check (maximum record length) for a correct
          MyISAM table with CHECKSUM=1 and ROW_FORMAT=DYNAMIC option 
          may fail due to wrong inner MyISAM parameter. In result we may 
          have the table marked as 'corrupted'. 
          
          Fix: properly set MyISAM maximum record length parameter.
    ------------------------------------------------------------
    revno: 2672.1.52
    committer: Alexey Botchkov <holyfoot@mysql.com>
    branch nick: 51mrg
    timestamp: Tue 2008-08-26 15:58:41 +0500
    message:
      merging
        ------------------------------------------------------------
        revno: 2646.25.2
        committer: Alexander Barkov <bar@mysql.com>
        branch nick: mysql-5.1.b36597
        timestamp: Tue 2008-08-26 14:58:23 +0500
        message:
          Merging latest changes.
        ------------------------------------------------------------
        revno: 2646.25.1
        committer: Alexander Barkov <bar@mysql.com>
        branch nick: mysql-5.1.b36597
        timestamp: Tue 2008-07-29 10:43:57 +0500
        message:
          Bug#36597 Testsuite "jp": Suspicious results for some tests using sjis
          Problem: Extra new line appeared in jisx0208_sjis2.dat in a mistake, which
          broke jp_convert_sjis and jp_select_sjis tests.
          Fix: removing extra line
          
            mysql-test/suite/jp/std_data/jisx0208_sjis2.dat:
                removing wrong extra new line
          
            mysql-test/suite/jp/t/disabled.def:     
                activating disabled tests      
    ------------------------------------------------------------
    revno: 2672.1.51
    committer: Alexey Botchkov <holyfoot@mysql.com>
    branch nick: 51mrg
    timestamp: Tue 2008-08-26 15:22:09 +0500
    message:
      merging
    ------------------------------------------------------------
    revno: 2672.1.50
    committer: Alexey Botchkov <holyfoot@mysql.com>
    branch nick: 51mrg
    timestamp: Tue 2008-08-26 14:50:32 +0500
    message:
      merging fix
        ------------------------------------------------------------
        revno: 1810.3760.9
        committer: Alexey Botchkov <holyfoot@mysql.com>
        branch nick: 50mrg
        timestamp: Tue 2008-08-26 14:21:07 +0500
        message:
          merging fixes
    ------------------------------------------------------------
    revno: 2672.1.49
    committer: Alexey Botchkov <holyfoot@mysql.com>
    branch nick: 51mrg
    timestamp: Tue 2008-08-26 14:31:17 +0500
    message:
      merging fixes
        ------------------------------------------------------------
        revno: 1810.3760.8
        committer: Alexey Botchkov <holyfoot@mysql.com>
        branch nick: 50mrg
        timestamp: Tue 2008-08-26 13:32:43 +0500
        message:
          merging fix
    ------------------------------------------------------------
    revno: 2672.1.48
    committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
    branch nick: mysql-5.1-bugteam
    timestamp: Mon 2008-08-25 10:57:34 -0300
    message:
      Merge Bug#36579 into mysql-5.1-bugteam
        ------------------------------------------------------------
        revno: 1810.3761.2
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: 36579-5.0
        timestamp: Mon 2008-08-25 10:18:52 -0300
        message:
          Bug#36579 Dumping information about locks in use may lead to a server crash
          
          Dumping information about locks in use by sending a SIGHUP signal
          to the server or by invoking the "mysqladmin debug" command may
          lead to a server crash in debug builds or to undefined behavior in
          production builds.
          
          The problem was that a mutex that protects a lock object (THR_LOCK)
          might have been destroyed before the lock object was actually removed
          from the list of locks in use, causing a race condition with other
          threads iterating over the list. The solution is to destroy the mutex
          only after removing lock object from the list.
    ------------------------------------------------------------
    revno: 2672.1.47
    committer: Sergey Glukhov <gluh@mysql.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Mon 2008-08-25 17:44:05 +0500
    message:
      null merge
        ------------------------------------------------------------
        revno: 1810.3761.1
        committer: Sergey Glukhov <gluh@mysql.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Mon 2008-08-25 17:11:59 +0500
        message:
          Bug#37428 Potential security issue with UDFs - linux shellcode execution.
          plugin_dir option backported from 5.1
    ------------------------------------------------------------
    revno: 2672.1.46
    committer: Alexey Botchkov <holyfoot@mysql.com>
    branch nick: 51mrg
    timestamp: Sat 2008-08-23 07:47:43 +0500
    message:
      merging
        ------------------------------------------------------------
        revno: 1810.3760.7
        committer: Alexey Botchkov <holyfoot@mysql.com>
        branch nick: 50mrg
        timestamp: Fri 2008-08-22 17:31:53 +0500
        message:
          Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                      
                      test_if_data_home_dir fixed to look into real path.
                      Checks added to mi_open for symlinks into data home directory.
          
          per-file messages:
                  include/my_sys.h
                    Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                    
                    my_is_symlink interface added
                  include/myisam.h
                    Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                    
                    myisam_test_invalid_symlink interface added
                  myisam/mi_check.c
                    Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                    
                    mi_open_datafile calls modified
                  myisam/mi_open.c
                    Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                    
                    code added to mi_open to check for symlinks into data home directory.
                    mi_open_datafile now accepts 'original' file path to check if it's
                    an allowed symlink.
                  myisam/mi_static.c
                    Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                    
                    myisam_test_invlaid_symlink defined
                  myisam/myisamchk.c
                    Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                    
                    mi_open_datafile call modified
                  myisam/myisamdef.h
                    Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                    
                    mi_open_datafile interface modified - 'real_path' parameter added
                  mysql-test/r/symlink.test
                    Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                    
                    error codes corrected as some patch now rejected pointing inside datahome
                  mysql-test/r/symlink.result
                    Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                    
                    error messages corrected in the result
                  mysys/my_symlink.c
                    Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                    
                    my_is_symlink() implementsd
                    my_realpath() now returns the 'realpath' even if a file isn't a symlink
                  sql/mysql_priv.h
                    Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                    
                    test_if_data_home_dir interface
                  sql/mysqld.cc
                    Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                    
                    myisam_test_invalid_symlik set with the 'test_if_data_home_dir'
                  sql/sql_parse.cc
                    Bug#32167 another privilege bypass with DATA/INDEX DIRECTORY.
                    
                    error messages corrected
                    test_if_data_home_dir code fixed
    ------------------------------------------------------------
    revno: 2672.1.45
    committer: Sergey Glukhov <gluh@mysql.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Thu 2008-08-21 15:01:11 +0500
    message:
      added replacement of 'CARDINALITY' column values
    ------------------------------------------------------------
    revno: 2672.1.44
    committer: Tatiana A. Nurnberg <azundris@mysql.com>
    branch nick: 51-1
    timestamp: Thu 2008-08-21 10:15:00 +0200
    message:
      auto-merge
        ------------------------------------------------------------
        revno: 2672.17.3
        committer: Timothy Smith <timothy.smith@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Wed 2008-08-20 17:29:46 -0600
        message:
          Cherry-pick various sr51rc/sr51ga fixes from InnoDB snapshots.
            ------------------------------------------------------------
            revno: 2646.21.7
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 51
            timestamp: Wed 2008-08-20 16:18:33 -0600
            message:
              Cherry-pick some changes from innodb-5.1-ss2545 snapshot.  Includes fixes for
              Bug#37531, Bug#36941, Bug#36941, Bug#36942, Bug#38185.
              
              Also include test case from Bug 34300 which was left out from earlier snapshot
              (5.1-ss2387).
              
              Also include fix for Bug #29507, "TRUNCATE shows to many rows effected", since
              the fix for Bug 37531 depends on it.
            ------------------------------------------------------------
            revno: 2646.21.6
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 51
            timestamp: Tue 2008-08-19 18:40:56 -0600
            message:
              Cherry-pick one change from innodb-5.1-ss2485 snapshot.  Fixes Bug#35602.
              
              Bug #35602 "Failed to read auto-increment value from storage engine" with
              Innodb
              
              The test for REPLACE was an error of ommission since it's classified as
              a simple INSERT. For REPLACE statements we don't acquire the special
              AUTOINC lock for AUTOINC_NEW_STYLE_LOCKING with this fix.
            ------------------------------------------------------------
            revno: 2646.21.5
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 51
            timestamp: Tue 2008-08-19 18:37:41 -0600
            message:
              Cherry-pick some changes from innodb-5.1-ss2479 snapshot.  Includes fixes for
              Bug#36600 and Bug#36793:
              
              Bug #36600 SHOW STATUS takes a lot of CPU in buf_get_latched_pages_number
              
              Fix by removing the Innodb_buffer_pool_pages_latched variable from SHOW
              STATUS output in non-UNIV_DEBUG compilation.
              
              Bug #36793 rpl_innodb_bug28430 fails on Solaris
              
              This is a back port from branches/zip. This code has been tested on a
              big-endian machine too.
            ------------------------------------------------------------
            revno: 2646.21.4
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 51
            timestamp: Tue 2008-08-19 18:29:46 -0600
            message:
              Cherry-pick one part of innodb-5.1-ss2438 snapshot.
              
              Bug #36278 Data_free in SHOW TABLE STATUS for InnoDB is in kilobytes
              
              Change the fix for Bug 32440 to show bytes instead of kilobytes in
              INFORMATION_SCHEMA.TABLES.DATA_FREE.
        ------------------------------------------------------------
        revno: 2672.17.2
        committer: Mattias Jonsson <mattiasj@mysql.com>
        branch nick: b34604-51-bugteam
        timestamp: Wed 2008-08-20 19:37:56 +0200
        message:
          merge
            ------------------------------------------------------------
            revno: 2672.19.1
            committer: Jonathan Perkin <jperkin@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Wed 2008-08-20 14:10:41 +0100
            message:
              merge
            ------------------------------------------------------------
            revno: 2672.18.2
            committer: Jonathan Perkin <jperkin@sun.com>
            branch nick: mysql-5.1-bugteam-bug33300
            timestamp: Wed 2008-08-20 14:06:22 +0100
            message:
              Fix path to myisamchk for mysql-5.1
            ------------------------------------------------------------
            revno: 2672.18.1
            committer: Jonathan Perkin <jperkin@sun.com>
            branch nick: mysql-5.1-bugteam-bug33300
            timestamp: Wed 2008-08-20 12:32:34 +0100
            message:
              bug#33300: use myisamchk to verify that mysql_install_db has
              created at least some files and that they are correct.
        ------------------------------------------------------------
        revno: 2672.17.1
        committer: Mattias Jonsson <mattiasj@mysql.com>
        branch nick: b34604-51-bugteam
        timestamp: Wed 2008-08-20 17:29:14 +0200
        message:
          Backport of patch for Bug#34604 (from 6.0)
          
          post push fix for bug#20129, test failed due to non existing
          source files.
    ------------------------------------------------------------
    revno: 2672.1.43
    committer: Tatiana A. Nurnberg <azundris@mysql.com>
    branch nick: 51-1
    timestamp: Thu 2008-08-21 07:06:09 +0200
    message:
      Bug#35616: memory overrun on 64-bit linux on setting large values for keybuffer-size
      
      add'l portability fixes
        ------------------------------------------------------------
        revno: 2646.24.1
        committer: Tatiana A. Nurnberg <azundris@mysql.com>
        branch nick: 51-35616
        timestamp: Thu 2008-08-21 06:48:28 +0200
        message:
          Bug#35616: memory overrun on 64-bit linux on setting large values for keybuffer-size
          
          portability fixes / cleanup
    ------------------------------------------------------------
    revno: 2672.1.42
    committer: Sergey Glukhov <gluh@mysql.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Wed 2008-08-20 16:42:01 +0500
    message:
      5.0-bugteam->5.1-bugteam merge
        ------------------------------------------------------------
        revno: 1810.3760.6
        committer: Sergey Glukhov <gluh@mysql.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Wed 2008-08-20 14:49:28 +0500
        message:
          Bug#38291 memory corruption and server crash with view/sp/function
          Send_field.org_col_name has broken value on secondary execution.
          It happens when result field is created from the field which belongs to view
          due to forgotten assignment of some Send_field attributes. 
          The fix:
          set Send_field.org_col_name,org_table_name with correct value during Send_field intialization.
    ------------------------------------------------------------
    revno: 2672.1.41
    committer: Sergey Glukhov <gluh@mysql.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Wed 2008-08-20 13:15:42 +0500
    message:
      after merge fix, related to bug#37301 changes
    ------------------------------------------------------------
    revno: 2672.1.40
    committer: Sergey Petrunia <sergefp@mysql.com>
    branch nick: mysql-5.1-bugteam-fixes
    timestamp: Wed 2008-08-20 06:45:56 +0400
    message:
      Fix merge problem: make sf_malloc_cur_memory definitions match in headers and source
    ------------------------------------------------------------
    revno: 2672.1.39
    committer: Sergey Petrunia <sergefp@mysql.com>
    branch nick: mysql-5.1-bugteam-fixes
    timestamp: Wed 2008-08-20 04:38:49 +0400
    message:
      Merge
        ------------------------------------------------------------
        revno: 2646.21.3
        committer: Sven Sandberg <sven@mysql.com>
        branch nick: 5.1-bugteam
        timestamp: Tue 2008-08-19 17:35:56 +0200
        message:
          Bug#35807 - INSTALL PLUGIN replicates row-based, but not stmt-based
          
          INSTALL PLUGIN and UNINSTALL PLUGIN worked with statement-based and
          mixed-mode replication only, but not with row-based replication.
          
          There is no statement-based replication of these statements.
          But there was row-based replication of the inserts and deletes
          to and from the mysql.plugin table.
          
          The fix is to suppress binlogging during insert and delete to
          and from the mysql.plugin table.
        ------------------------------------------------------------
        revno: 2646.21.2
        committer: Tatiana A. Nurnberg <azundris@mysql.com>
        branch nick: 51-35616
        timestamp: Tue 2008-08-19 16:26:24 +0200
        message:
          auto-merged
            ------------------------------------------------------------
            revno: 2646.23.2
            committer: Mattias Jonsson <mattiasj@mysql.com>
            branch nick: topush4-51-bugteam
            timestamp: Tue 2008-08-19 15:27:57 +0200
            message:
              merge (from mysql-5.1-bugteam to my local tree)
            ------------------------------------------------------------
            revno: 2646.23.1
            committer: Mattias Jonsson <mattiasj@mysql.com>
            branch nick: topush4-51-bugteam
            timestamp: Tue 2008-08-19 12:26:30 +0200
            message:
              merge
            ------------------------------------------------------------
            revno: 2646.22.1
            committer: Mattias Jonsson <mattiasj@mysql.com>
            branch nick: topush3-51-bugteam
            timestamp: Tue 2008-08-19 11:44:22 +0200
            message:
              Post push fix for valgrind warning in ha_partition.cc
              
              Bug#35161
              Fixed memory leak when failing to open a partition.
              
              Bug#20129
              Added tests for verifying REPAIR PARTITION.
        ------------------------------------------------------------
        revno: 2646.21.1
        committer: Tatiana A. Nurnberg <azundris@mysql.com>
        branch nick: 51-35616
        timestamp: Tue 2008-08-19 15:56:41 +0200
        message:
          Bug#35616: memory overrun on 64-bit linux on setting large values for keybuffer-size
          
          We could allocate chunks larger than 4GB, but did our
          size-accounting in 32-bit values. This could lead to
          spurious warnings, inaccurate accounting, and, in
          theory, data loss.
            
          Affected: 64-bit platforms. Debug-build (with safemalloc).
          At least one buffer larger than 4GB. For potential data
          loss, a re-alloc on such a buffer would be necessary.
    ------------------------------------------------------------
    revno: 2672.1.38
    committer: Sergey Petrunia <sergefp@mysql.com>
    branch nick: mysql-5.1-bugteam-fixes
    timestamp: Wed 2008-08-20 04:34:52 +0400
    message:
      Fix others' merge error in federated.{test,result}
    ------------------------------------------------------------
    revno: 2672.1.37
    committer: Sergey Petrunia <sergefp@mysql.com>
    branch nick: mysql-5.1-bugteam-fixes
    timestamp: Tue 2008-08-19 17:25:19 +0400
    message:
      Merge
        ------------------------------------------------------------
        revno: 2646.5.60
        committer: Georgi Kodinov <kgeorge@mysql.com>
        branch nick: test-5.1-bugteam
        timestamp: Tue 2008-08-19 16:16:20 +0300
        message:
          Bug#36638: fixing a failing test case.
            ------------------------------------------------------------
            revno: 1810.3760.5
            committer: Georgi Kodinov <kgeorge@mysql.com>
            branch nick: test-5.0-bugteam
            timestamp: Tue 2008-08-19 14:55:36 +0300
            message:
              merged 5.0-main to 5.0-bugteam
        ------------------------------------------------------------
        revno: 2646.5.59
        committer: Georgi Kodinov <kgeorge@mysql.com>
        branch nick: test-5.1-bugteam
        timestamp: Tue 2008-08-19 15:21:18 +0300
        message:
          merged 5.0-bugteam to 5.1-bugteam
            ------------------------------------------------------------
            revno: 1810.3760.4
            committer: Georgi Kodinov <kgeorge@mysql.com>
            branch nick: test-5.0-bugteam
            timestamp: Tue 2008-08-19 13:36:24 +0300
            message:
              Bug#38195: Incorrect handling of aggregate functions when loose index scan
              is used causes server crash.
                Revert the fix : unstable test case revealed by pushbuild
        ------------------------------------------------------------
        revno: 2646.5.58
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2008-08-18 13:33:00 -0400
        message:
          Merge from 5.0-bugteam local.
            ------------------------------------------------------------
            revno: 1810.3760.3
            committer: Chad MILLER <chad@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2008-08-18 13:28:46 -0400
            message:
              Bug#27526: BUILD/check_cpu misbehaving on Debian testing
              
              more clever gcc version checking.
            ------------------------------------------------------------
            revno: 1810.3760.2
            committer: Chad MILLER <chad@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2008-08-18 13:23:05 -0400
            message:
              Merge from 5.0-bugteam trunk.
        ------------------------------------------------------------
        revno: 2646.5.57
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2008-08-18 13:11:55 -0400
        message:
          Merge from 5.0-bugteam local.
            ------------------------------------------------------------
            revno: 1810.3760.1
            committer: Chad MILLER <chad@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2008-08-18 13:06:27 -0400
            message:
              Bug#30394: Empty HOME environment variable causes several utilities to crash
              
              Tilde expansion could fail when it was to expand to an empty string (such as
              when HOME is set to an empty string), especially on systems where size_t is
              unsigned.
        ------------------------------------------------------------
        revno: 2646.5.56
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2008-08-18 12:15:56 -0400
        message:
          Fix for bug#36399: Double free bug when INFORMATION_SCHEMA
          plugin init function fails
          
          Problem: if an INFORMATION_SCHEMA plugin initialization fails
          we free some inner plugin's data (schema_table) twice during the 
          INSTALL PLUGIN command.
          
          Fix: free it once.
        ------------------------------------------------------------
        revno: 2646.5.55
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2008-08-18 12:03:44 -0400
        message:
          Merge from bugteam trunk.
            ------------------------------------------------------------
            revno: 2646.20.1
            committer: Chad MILLER <chad@mysql.com>
            branch nick: 5.1-bugteam
            timestamp: Mon 2008-08-18 11:08:57 -0400
            message:
              Merge from 5.0-bugteam local.
            ------------------------------------------------------------
            revno: 1810.3757.11
            committer: Chad MILLER <chad@mysql.com>
            branch nick: 5.0-bugteam
            timestamp: Mon 2008-08-18 11:00:19 -0400
            message:
              Merge from 5.0-bugteam local.
            ------------------------------------------------------------
            revno: 1810.3759.1
            committer: Chad MILLER <chad@mysql.com>
            branch nick: mysql-5.0-bugteam--bug30129
            timestamp: Wed 2008-08-06 09:25:03 -0400
            message:
              Bug#30129: mysql_install_db appears to run normally, but the databases \
              	are not created  {Netware}
              
              The init and test sql files were not created at cross-compilation time.
              
              Now, make them in the default build rule.  Additionally, remove the "fix" 
              SQL instructions, which are unnecessary for newly initialized databases.
              Also, clean up the english in an error message, and BZRify nwbootstrap.
        ------------------------------------------------------------
        revno: 2646.5.54
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2008-08-15 17:52:41 -0400
        message:
          Fix failing test case, re: bug 38195.
        ------------------------------------------------------------
        revno: 2646.5.53
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2008-08-15 16:42:29 -0400
        message:
          Merge from 5.0-bugteam.
            ------------------------------------------------------------
            revno: 1810.3757.10
            committer: Chad MILLER <chad@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Fri 2008-08-15 16:13:27 -0400
            message:
              Bug#37301 Length and Max_length differ with no obvious reason(2nd version)
              Length value is the length of the field,
              Max_length is the length of the field value.
              So Max_length can not be more than Length.
              The fix: fixed calculation of the Item_empty_string item length
              
              (Patch applied and queued on demand of Trudy/Davi.)
        ------------------------------------------------------------
        revno: 2646.5.52
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2008-08-15 15:49:43 -0400
        message:
          Merge from 5.0-bugteam.
            ------------------------------------------------------------
            revno: 1810.3757.9
            committer: Chad MILLER <chad@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Fri 2008-08-15 15:46:21 -0400
            message:
              Bug#36270: incorrect calculation result - works in 4.1 but not in 5.0 or 5.1
              
              When the fractional part in a multiplication of DECIMALs
              overflowed, we truncated the first operand rather than the
              longest. Now truncating least significant places instead
              for more precise multiplications.
              
              (Queuing at demand of Trudy/Davi.)
        ------------------------------------------------------------
        revno: 2646.5.51
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2008-08-15 15:30:17 -0400
        message:
          Merge from 5.0-bugteam.
            ------------------------------------------------------------
            revno: 1810.3757.8
            committer: Chad MILLER <chad@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Fri 2008-08-15 13:55:05 -0400
            message:
              Correcting tree name in bzr config.  Should not include team suffix.
            ------------------------------------------------------------
            revno: 1810.3757.7
            committer: Ramil Kalimullin <ramil@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Fri 2008-08-15 11:40:05 +0500
            message:
              Fix for bug #34779: crash in checksum table on federated tables 
              with blobs containing nulls
              
              Problem: FEDERATED SE improperly stores NULL fields in the record buffer.
              
              Fix: store them properly.
            ------------------------------------------------------------
            revno: 1810.3757.6
            committer: Evgeny Potemkin <epotemkin@mysql.com>
            branch nick: 38195-bug-5.0-bugteam
            timestamp: Thu 2008-08-14 23:55:18 +0400
            message:
              Fixed failing test case for the bug#38195.
            ------------------------------------------------------------
            revno: 1810.3757.5
            committer: Evgeny Potemkin <epotemkin@mysql.com>
            branch nick: 38195-bug-5.0-bugteam
            timestamp: Wed 2008-08-13 22:24:55 +0400
            message:
              Bug#38195: Incorrect handling of aggregate functions when loose index scan is
              used causes server crash.
              
              When the loose index scan access method is used values of aggregated functions
              are precomputed by it. Aggregation of such functions shouldn't be performed
              in this case and functions should be treated as normal ones.
              The create_tmp_table function wasn't taking this into account and this led to
              a crash if a query has MIN/MAX aggregate functions and employs temporary table
              and loose index scan.
              Now the JOIN::exec and the create_tmp_table functions treat MIN/MAX aggregate
              functions as normal ones when the loose index scan is used.
        ------------------------------------------------------------
        revno: 2646.5.50
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2008-08-15 14:48:14 -0400
        message:
          Bug#21579 - innodb_concurrent random failures with varying differences
          
          Due to unknown changes the test failed in some ways.
          
          Fixed by checking the test case in detail, commenting the expected behavior,
          and fixing error directives.
          
          In the course of the analyze unneeded get_lock()/release_lock() use,
          unneeded send/reap use, and unneeded sleeps were removed. The lock wait
          timeout was reduced to 1 second, so that this is no big-test any more.
          
          The test was split into two parts, one running the tests with
          --innodb_locks_unsafe_for_binlog, the other part without.
          The main part (include/concurrent.inc) conditionally expects
          lock wait timeouts based on the value of the system variable
          innodb_locks_unsafe_for_binlog.
          
          The major part of the patch comes from Kristofer Pettersson.
          
          (Chad queues this patch on demand by Trudy/Davi.)
        ------------------------------------------------------------
        revno: 2646.5.49
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2008-08-15 14:26:25 -0400
        message:
          Bug#38272: timestamps fields incorrectly defaulted on \
          	update accross partitions.
                
          It's not Innodb-specific bug.
          ha_partition::update_row() didn't set
          table->timestamp_field_type= TIMESTAMP_NO_AUTO_SET when
          orig_timestamp_type == TIMESTAMP_AUTO_SET_ON_INSERT.
          
          So that a partition sets the timestamp field when a record
          is moved to a different partition.
          
          Fixed by doing '= TIMESTAMP_NO_AUTO_SET' unconditionally.
          Also ha_partition::write_row() is fixed in same way as now
          Field_timestamp::set() is called twice in SET_ON_INSERT case.
          
          (Chad queues this patch on demand by Trudy/Davi.)
        ------------------------------------------------------------
        revno: 2646.5.48
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2008-08-15 12:58:19 -0300
        message:
          Merge from mysql-5.1 main.
            ------------------------------------------------------------
            revno: 2646.8.9
            committer: He Zhenxing <hezx@mysql.com>
            branch nick: 5.1
            timestamp: Fri 2008-08-15 06:56:46 +0800
            message:
              auto merge
                ------------------------------------------------------------
                revno: 2646.19.1
                committer: Joerg Bruehe <joerg@mysql.com>
                branch nick: mysql-5.1
                timestamp: Wed 2008-08-13 12:45:56 +0200
                message:
                  Null-merge a 5.0 version number change up to 5.1
                ------------------------------------------------------------
                revno: 1810.3758.4
                committer: Joerg Bruehe <joerg@mysql.com>
                branch nick: mysql-5.0
                timestamp: Wed 2008-08-13 12:34:35 +0200
                message:
                  Correct the version number to 5.0.70.
                ------------------------------------------------------------
                revno: 1810.3758.3
                author: timothy.smith@sun.com
                committer: mysqldev <mysqldev@production.mysql.com>
                branch nick: mysql-5.0
                timestamp: Wed 2008-08-13 11:05:24 +0200
                message:
                  Raise version number after cloning 5.0.68
            ------------------------------------------------------------
            revno: 2646.8.8
            committer: He Zhenxing <hezx@mysql.com>
            branch nick: 5.1
            timestamp: Thu 2008-08-14 22:01:37 +0800
            message:
              merge mysql-5.1-rpl-testfixes -> mysql-5.1
                ------------------------------------------------------------
                revno: 2646.17.6
                committer: He Zhenxing <hezx@mysql.com>
                branch nick: 5.1-rpl-testfixes
                timestamp: Thu 2008-08-14 16:27:28 +0800
                message:
                  fix after merge
            ------------------------------------------------------------
            revno: 2646.8.7
            committer: He Zhenxing <hezx@mysql.com>
            branch nick: 5.1
            timestamp: Thu 2008-08-14 15:16:04 +0800
            message:
              Merge with mysql-5.1-rpl-testfixes
                ------------------------------------------------------------
                revno: 2646.17.5
                committer: He Zhenxing <hezx@mysql.com>
                branch nick: merge-5.1-rpl-testfixes
                timestamp: Thu 2008-08-14 14:47:48 +0800
                message:
                  auto merge
                    ------------------------------------------------------------
                    revno: 2646.18.1
                    committer: He Zhenxing <hezx@mysql.com>
                    branch nick: 5.1-rpl-testfixes
                    timestamp: Thu 2008-08-14 10:42:10 +0800
                    message:
                      BUG#38290 valgrind warnings in binlog_base64_flag
                      
                      The problem was because the event allocated in mysql_client_binlog_statement
                      was not freed when an error occured while applying the event.
                ------------------------------------------------------------
                revno: 2646.17.4
                committer: He Zhenxing <hezx@mysql.com>
                branch nick: 5.1-rpl-testfixes
                timestamp: Thu 2008-08-14 14:27:18 +0800
                message:
                  Auto merge from mysql-5.1 main
                ------------------------------------------------------------
                revno: 2646.17.3
                committer: Serge Kozlov <skozlov@mysql.com>
                branch nick: mysql-5.1-rpl-testfixes-bugs
                timestamp: Wed 2008-08-13 23:12:51 +0400
                message:
                  Bug#18817, removing --binlog-format option from .opt files
                ------------------------------------------------------------
                revno: 2646.17.2
                committer: He Zhenxing <hezx@mysql.com>
                branch nick: 5.1-rpl-testfixes
                timestamp: Tue 2008-08-12 17:09:36 +0800
                message:
                  Apply tomas's patch to fix rpl_row_basic.test, this can fix BUG#37884, 
                  BUG#38369, enable rpl_row_basic_7ndb test
                ------------------------------------------------------------
                revno: 2646.17.1
                committer: Sven Sandberg <sven@mysql.com>
                branch nick: 5.1_from_5.1-rpl-testfixes
                timestamp: Wed 2008-08-06 15:49:03 +0200
                message:
                  merged 5.1 main -> 5.1-rpl-testfixes
                  all files automerged without conflict
                ------------------------------------------------------------
                revno: 2646.16.1
                committer: Sven Sandberg <sven@mysql.com>
                branch nick: 5.1_from_5.1-rpl-testfixes
                timestamp: Tue 2008-07-29 19:55:46 +0200
                message:
                  merge 5.1 main -> 5.1-rpl-testfixes
                  all changes automerged without conflicts
                ------------------------------------------------------------
                revno: 2672.16.6
                committer: Sven Sandberg <sven@mysql.com>
                branch nick: 5.1-rpl-testfixes
                timestamp: Tue 2008-07-29 17:36:13 +0200
                message:
                  BUG#38068: binlog_stm_binlog fails sporadically in pushbuild
                  Post-push fix: updated some result files that were affected
                  by the previous fix to this bug.
                ------------------------------------------------------------
                revno: 2672.16.5
                committer: Sven Sandberg <sven@mysql.com>
                branch nick: 5.1-rpl-testfixes
                timestamp: Wed 2008-07-23 18:56:39 +0200
                message:
                  BUG#38068: binlog_stm_binlog fails sporadically in pushbuild
                  Problem: binlog_stm_binlog runs INSERT DELAYED queries, and
                  then prints the contents of the binlog. Before checking the
                  contents of the binlog, the test waits until the rows have
                  appeared in the table. However, this is not enough, since
                  INSERT DELAYED does not write rows to the binlog at the same
                  time as it writes them to the table. So there is a race.
                  Fix: Add a FLUSH TABLES before SHOW BINLOG EVENTS. That
                  waits until the insert_delayed thread is done.
                ------------------------------------------------------------
                revno: 2672.16.4
                committer: Sven Sandberg <sven@mysql.com>
                branch nick: 5.1-rpl-testfixes
                timestamp: Wed 2008-07-23 12:13:55 +0200
                message:
                  BUG#37493: rpl_trunc_temp.test nondeterministic
                  Problem: the test waits for a 'DROP TEMPORARY TABLE' event to
                  appear in the master's binlog, then checks on the slave whether
                  the number of temporary tables has decreased. The slave does
                  not sync, causing a race.
                  Fix: check for the 'DROP TEMPORARY TABLE' event on slave
                  instead of on master.
                ------------------------------------------------------------
                revno: 2672.16.3
                committer: Sven Sandberg <sven@mysql.com>
                branch nick: 5.1-rpl-testfixes
                timestamp: Fri 2008-07-18 15:07:14 +0200
                message:
                  BUG#38077: rpl_incident At line 22: query 'SELECT * ...' Table 'test.t1' doesn't exist
                  This is not a fix to the bug. It only adds debug info, so
                  that we can analyze the bug better next time it happens.
                  Please revert the patch after the bug is fixed.
                ------------------------------------------------------------
                revno: 2672.16.2
                committer: Sven Sandberg <sven@mysql.com>
                branch nick: 5.1-rpl-testfixes
                timestamp: Fri 2008-07-18 13:34:19 +0200
                message:
                  BUG#38178: rpl_loaddata_map fails sporadically in pushbuild
                  Problem: master binlog has 'create table t1'. Master binlog
                  was removed before slave could replicate it. In test's cleanup
                  code, master did 'drop table t1', which caused slave sql
                  thread to stop with an error since slave sql thread did not
                  know about t1.
                  Fix: t1 is just an auxiliary construction, only needed on
                  master. Hence, we turn off binlogging before t1 is created,
                  drop t1 as soon as we don't need it anymore, and then turn
                  on binlogging again.
                ------------------------------------------------------------
                revno: 2672.16.1
                committer: Sven Sandberg <sven@mysql.com>
                branch nick: 5.1-rpl-testfixes
                timestamp: Thu 2008-07-17 18:26:59 +0200
                message:
                  BUG#38170: rpl_variables failed on pushbuild: could not sync with master
                  Problem: the test set @@global.init_slave to garbage at a time
                  which was not guaranteed to be after the time when the slave's
                  SQL thread used it. That would cause the slave's SQL thread to
                  stop in rare cases.
                  Fix: The test does not care about the value of
                  @@global.init_slave, except that it should be different on
                  master and slave. Hence, we set @@global.init_slave to
                  something that is valid SQL.
            ------------------------------------------------------------
            revno: 2646.8.6
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 51
            timestamp: Wed 2008-08-13 01:27:22 -0600
            message:
              Up-merge from 5.0; adds test for innodb bug 34286 (but no code changes).
                ------------------------------------------------------------
                revno: 1810.3758.2
                tags: clone-5.0.68-build
                committer: Timothy Smith <timothy.smith@sun.com>
                branch nick: 50
                timestamp: Wed 2008-08-13 00:11:11 -0600
                message:
                  Merge some 5.0 innodb changes
            ------------------------------------------------------------
            revno: 2646.8.5
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 51
            timestamp: Wed 2008-08-13 00:12:06 -0600
            message:
              Merge in new test case
            ------------------------------------------------------------
            revno: 2646.15.2
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: ib-5.1-bugteam
            timestamp: Thu 2008-08-07 18:33:12 -0600
            message:
              Up-merge test case for bug 35220 from 5.0 (no real code changes).
                ------------------------------------------------------------
                revno: 1810.3751.10
                committer: Timothy Smith <timothy.smith@sun.com>
                branch nick: ib-5.0-bugteam
                timestamp: Thu 2008-08-07 18:25:24 -0600
                message:
                  Cherry-pick fix for Bug#35220 from innodb-5.0-ss2475 snapshot.
                  
                  Bug#35220: ALTER TABLE too picky on reserved word "foreign"
                  
                  In ALTER TABLE, change the internal parser to search for
                  ``FOREIGN[[:space:]]'' instead of only ``FOREIGN'' when parsing
                  ALTER TABLE ... DROP FOREIGN KEY ...; otherwise it could be mistaken
                  with ALTER TABLE ... DROP foreign_col;
                  
                  (This fix is already present in MySQL 5.1 and higher.)
            ------------------------------------------------------------
            revno: 2646.15.1
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: ib-5.1-bugteam
            timestamp: Thu 2008-07-31 16:39:03 -0600
            message:
              NULL MERGE of innodb-5.0-ss2475 snapshot cherry-pick (bugs: 34286, 35352, 36600)
              
              These changes, where applicable, are available in 5.1-specific snapshots for MySQL 5.1+.
            ------------------------------------------------------------
            revno: 1810.3751.9
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: ib-5.0-bugteam
            timestamp: Thu 2008-07-31 15:47:57 -0600
            message:
              Cherry-pick InnoDB fixes for Bug#34286, Bug#35352, and Bug#36600 from snapshot
              innodb-5.0-ss2475.
              
              Bug #34286  Assertion failure in thread 2816 in file .\row\row0sel.c line 3500
              Since autoinc init performs a MySQL SELECT query to determine the auto-inc
              value, set prebuilt->sql_stat_start = TRUE so that it is performed like any
              normal SELECT, regardless of the context in which it was invoked.
              
              
              Bug #35352  If InnoDB crashes with UNDO slots full error the error persists on restart
              We've added a heuristic that checks the size of the UNDO slots cache lists
              (insert and upate). If either of cached lists has more than 500 entries then we
              add any UNDO slots that are freed, to the common free list instead of the cache
              list, this is to avoid the case where all the free slots end up in only one of
              the lists on startup after a crash.
              
              Tested with test case for 26590 and passes all mysql-test(s).
              
              Bug #36600  SHOW STATUS takes a lot of CPU in buf_get_latched_pages_number
              Fixed by removing the Innodb_buffer_pool_pages_latched variable from SHOW
              STATUS output in non-UNIV_DEBUG compilation.
        ------------------------------------------------------------
        revno: 2646.5.47
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: 38560-5.1
        timestamp: Fri 2008-08-15 12:38:46 -0300
        message:
          Bug#38560: valgrind warnings on PB due to query profiling
          
          Fix for a valgrind warning due to a jump on a uninitialized
          variable. The problem was that the sql profile preparation
          function wasn't being called for all possible code paths
          of query execution.
          
          The solution is to ensure that query profiling is always
          started before dispatch_command function is called and to
          explicitly call the profile preparation function on bootstrap.
        ------------------------------------------------------------
        revno: 2646.5.46
        committer: Sergey Glukhov <gluh@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2008-08-15 11:53:54 +0500
        message:
          Bug#36638 mysqld crashes when open file limit is passed and general query log enabled
          The problem:
          CSV storage engine open function returns success even
          thought it failed to open the data file
          The fix:
          return error
          Additional fixes:
          added MY_WME to my_open to avoid mysterious error message
          free share struct if open the file was unsuccessful
        ------------------------------------------------------------
        revno: 2646.5.45
        committer: Ramil Kalimullin <ramil@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2008-08-15 10:55:20 +0500
        message:
          Fix for bug#37537: myisamchk fails with Assertion failure with partitioned table
          
          Problem: missed "break" in a switch leads to unexpected assertion failure
          of 'myisamchk compressed_table'.
          
          Fix: add the break.
        ------------------------------------------------------------
        revno: 2646.5.44
        committer: Ramil Kalimullin <ramil@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2008-08-15 10:53:25 +0500
        message:
          Fix for bug#37337: Function returns different results
          
          Problem: REGEXP in functions/PSs may return wrong results
          due to improper initialization.
          
          Fix: initialize required REGEXP params.
        ------------------------------------------------------------
        revno: 2646.5.43
        committer: Matthias Leich <mleich@mysql.com>
        branch nick: mysql-5.1-bugteam-push
        timestamp: Wed 2008-08-13 22:17:43 +0200
        message:
          Merge
            ------------------------------------------------------------
            revno: 2646.14.1
            committer: Mattias Jonsson <mattiasj@mysql.com>
            branch nick: topush3-51-bugteam
            timestamp: Wed 2008-08-13 20:50:08 +0200
            message:
              Bug#20129: ALTER TABLE ... REPAIR PARTITION ... complains that
              partition is corrupt
              
              Post push fix
              
              an DBUG_ASSERT broke the embedded server, fixed by initializing
              it in the embedded version of Protocol_text::prepare_for_resend
        ------------------------------------------------------------
        revno: 2646.5.42
        committer: Matthias Leich <mleich@mysql.com>
        branch nick: mysql-5.1-bugteam-push
        timestamp: Wed 2008-08-13 21:44:54 +0200
        message:
          Fix for Bug#37853
              Test "funcs_1.processlist_val_ps" fails in various ways
          + corrections of logic in poll routines
          + minor improvements
        ------------------------------------------------------------
        revno: 2646.5.41
        committer: Matthias Leich <mleich@mysql.com>
        branch nick: mysql-5.1-bugteam-push
        timestamp: Wed 2008-08-13 21:42:21 +0200
        message:
          Improve the testcases for Bug 12093 in ps_ddl.test
          Details:
          - add subtest with drop unrelated view
          - rearrange existing tests so that a distinction
            between drop procedure and drop function effects
            is possible
        ------------------------------------------------------------
        revno: 2646.5.40
        committer: Mattias Jonsson <mattiasj@mysql.com>
        branch nick: topush3-51-bugteam
        timestamp: Wed 2008-08-13 10:47:24 +0200
        message:
          Bug#37402: Mysql cant read partitioned table with capital letter in the name
          
          Post push fix (compiler warning)
        ------------------------------------------------------------
        revno: 2646.5.39
        committer: Mattias Jonsson <mattiasj@mysql.com>
        branch nick: topush3-51-bugteam
        timestamp: Wed 2008-08-13 08:59:05 +0200
        message:
          merge (into the latest mysql-5.1-bugteam tree)
            ------------------------------------------------------------
            revno: 2646.13.1
            committer: Mattias Jonsson <mattiasj@mysql.com>
            branch nick: topush2-51-bugteam
            timestamp: Tue 2008-08-12 17:45:51 +0200
            message:
              merge
            ------------------------------------------------------------
            revno: 2646.11.4
            committer: Mattias Jonsson <mattiasj@mysql.com>
            branch nick: topush-51-bugteam
            timestamp: Tue 2008-08-12 12:26:23 +0200
            message:
              manual merge of bug#37402
                ------------------------------------------------------------
                revno: 2672.15.1
                committer: Mattias Jonsson <mattiasj@mysql.com>
                branch nick: b37402-51-bugteam
                timestamp: Fri 2008-07-11 01:14:13 +0200
                message:
                  Bug#37402: Mysql cant read partitioned table with capital letter in the name
                  
                  Problem was that ha_partition had HA_FILE_BASED flag set
                  (since it uses a .par file), but after open it uses the first partitions
                  flags, which results in different case handling for create and for
                  open.
                  
                  Solution was to change the underlying partition name so it was consistent.
                  (Only happens when lower_case_table_names = 2, i.e. Mac OS X and storage
                  engines without HA_FILE_BASED, like InnoDB and Memory.)
                  
                  (Recommit after adding rename of check_lowercase_names to
                  get_canonical_filename, and moved it from handler.h to mysql_priv.h)
                  
                  NOTE: if a mixed case name for a partitioned table was created when
                  lower_case_table_name = 2 it should be renamed or dropped before using
                  the updated version (See bug#37402 for more info)
            ------------------------------------------------------------
            revno: 2646.11.3
            committer: Mattias Jonsson <mattiasj@mysql.com>
            branch nick: topush-51-bugteam
            timestamp: Tue 2008-08-12 10:02:30 +0200
            message:
              Bug#20129: ALTER TABLE ... REPAIR PARTITION ... complains that
              partition is corrupt
              
              Updated result files after merge
            ------------------------------------------------------------
            revno: 2646.11.2
            committer: Mattias Jonsson <mattiasj@mysql.com>
            branch nick: topush-51-bugteam
            timestamp: Mon 2008-08-11 20:06:08 +0200
            message:
              manual merge of Bug#20129 into 5.1-bugteam
                ------------------------------------------------------------
                revno: 2646.12.1
                committer: Mattias Jonsson <mattiasj@mysql.com>
                branch nick: wl4176_2-51-bugteam
                timestamp: Mon 2008-08-11 20:02:03 +0200
                message:
                  Bug#20129: ALTER TABLE ... REPAIR PARTITION ... complains that
                  partition is corrupt
                  
                  The main problem was that ALTER TABLE t ANALYZE/CHECK/OPTIMIZE/REPAIR
                  PARTITION took another code path (over mysql_alter_table instead of
                  mysql_admin_table) which differs in two ways:
                  1) alter table opens the tables in a different way than admin tables do
                     resulting in returning with error before it tried the command
                  2) alter table does not start to send any diagnostic rows to the client
                     which the lower admin functions continue to use -> resulting in
                     assertion crash
                  
                  The fix:
                  Remapped ALTER TABLE t ANALYZE/CHECK/OPTIMIZE/REPAIR PARTITION to use
                  the same code path as ANALYZE/CHECK/OPTIMIZE/REPAIR TABLE t.
                  Adding check in mysql_admin_table to setup the partition list for
                  which partitions that should be used.
                  
                  
                  Partitioned tables will still not work with
                  REPAIR TABLE/PARTITION USE_FRM, since that requires moving partitions
                  to tables, REPAIR TABLE t USE_FRM, and check that the data still
                  fulfills the partitioning function and then move the table back to
                  being a partition.
                  
                  NOTE: I have removed the following functions from the handler
                  interface:
                  analyze_partitions, check_partitions, optimize_partitions,
                  repair_partitions
                  Since they are not longer needed.
                  THIS ALTERS THE STORAGE ENGINE API
            ------------------------------------------------------------
            revno: 2646.11.1
            committer: Mattias Jonsson <mattiasj@mysql.com>
            branch nick: topush-51-bugteam
            timestamp: Mon 2008-08-11 16:15:39 +0200
            message:
              merge into an updated 5.1-bugteam tree
            ------------------------------------------------------------
            revno: 2660.1.1
            committer: Mattias Jonsson <mattiasj@mysql.com>
            branch nick: b35161-51-bugteam
            timestamp: Mon 2008-07-07 17:54:42 +0200
            message:
              Bug#35161: --myisam-recover does not work for partitioned MyISAM tables
              
              Problem was that auto_repair, is_crashed and check_and_repair was not
              implemented in ha_partition.
              
              Solution, implemented them as loop over all partitions for is_crashed and
              check_and_repair, and using the first partition for auto_repair.
              
              (Recommit after fixing review comments)
        ------------------------------------------------------------
        revno: 2646.5.38
        committer: Marc Alff <marc.alff@sun.com>
        branch nick: mysql-5.1-38296
        timestamp: Tue 2008-08-12 17:45:04 -0600
        message:
          Merge mysql-5.1-bugteam -> local bugfix branch
            ------------------------------------------------------------
            revno: 2646.10.2
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2008-08-12 17:08:19 -0300
            message:
              Merge and fix tree name.
                ------------------------------------------------------------
                revno: 2646.8.4
                committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
                branch nick: mysql-5.1
                timestamp: Tue 2008-08-12 11:28:43 -0300
                message:
                  Merge mysql-5.1-bugteam into mysql-5.1 main.
                ------------------------------------------------------------
                revno: 1810.3757.4
                committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
                branch nick: mysql-5.0-bugteam
                timestamp: Tue 2008-08-12 16:52:52 -0300
                message:
                  Merge and fix tree name.
                ------------------------------------------------------------
                revno: 1810.3758.1
                committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
                branch nick: mysql-5.0
                timestamp: Tue 2008-08-12 15:51:00 -0300
                message:
                  Merge mysql-5.0-bugteam into mysql-5.0
            ------------------------------------------------------------
            revno: 2646.10.1
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Mon 2008-08-11 21:27:17 -0300
            message:
              Merge mysql-5.0-bugteam into mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 1810.3757.3
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2008-08-11 20:27:09 -0300
            message:
              Bug#38486: Crash when using cursor protocol
              
              Post-merge fix: mysql_client_test.c is compiled by C compilers
              and some C compilers don't support mixed declarations and code
              and it's explicitly forbidden by ISO C90.
        ------------------------------------------------------------
        revno: 2646.5.37
        committer: Marc Alff <marc.alff@sun.com>
        branch nick: mysql-5.1-38296
        timestamp: Tue 2008-08-12 17:05:19 -0600
        message:
          Bug#38296 (low memory crash with many conditions in a query)
          
          This fix is for 5.1 only : back porting the 6.0 patch manually
          
          The parser code in sql/sql_yacc.yy needs to be more robust to out of
          memory conditions, so that when parsing a query fails due to OOM,
          the thread gracefully returns an error.
          
          Before this fix, a new/alloc returning NULL could:
          - cause a crash, if dereferencing the NULL pointer,
          - produce a corrupted parsed tree, containing NULL nodes,
          - alter the semantic of a query, by silently dropping token values or nodes
          
          With this fix:
          - C++ constructors are *not* executed with a NULL "this" pointer
          when operator new fails.
          This is achieved by declaring "operator new" with a "throw ()" clause,
          so that a failed new gracefully returns NULL on OOM conditions.
          
          - calls to new/alloc are tested for a NULL result,
          
          - The thread diagnostic area is set to an error status when OOM occurs.
          This ensures that a request failing in the server properly returns an
          ER_OUT_OF_RESOURCES error to the client.
          
          - OOM conditions cause the parser to stop immediately (MYSQL_YYABORT).
          This prevents causing further crashes when using a partially built parsed
          tree in further rules in the parser.
          
          No test scripts are provided, since automating OOM failures is not
          instrumented in the server.
          Tested under the debugger, to verify that an error in alloc_root cause the
          thread to returns gracefully all the way to the client application, with
          an ER_OUT_OF_RESOURCES error.
        ------------------------------------------------------------
        revno: 2646.5.36
        committer: Marc Alff <marc.alff@sun.com>
        branch nick: mysql-5.1-bt-merge
        timestamp: Mon 2008-08-11 16:44:13 -0600
        message:
          Manual merge of mysql-5.0-bugteam -> mysql-5.1-bugteam
          
          Note: NULL merge of sql/sql_yacc.yy, the fix for bug#38296 will be provided separately for 5.1
            ------------------------------------------------------------
            revno: 1810.3757.2
            committer: Marc Alff <marc.alff@sun.com>
            branch nick: mysql-5.0-38296
            timestamp: Mon 2008-08-11 15:21:29 -0600
            message:
              Merge mysql-5.0-bugteam -> local bugfix branch
                ------------------------------------------------------------
                revno: 1810.3756.3
                committer: Marc Alff <marc.alff@sun.com>
                branch nick: mysql-5.0-37302
                timestamp: Mon 2008-08-11 15:08:12 -0600
                message:
                  Bug#37302 (missing DBUG_RETURN macro in function "find_key_block" (5.0 only))
                  
                  Fixed missing DBUG_RETURN in the function find_key_block
                ------------------------------------------------------------
                revno: 1810.3756.2
                committer: Chad MILLER <chad@mysql.com>
                branch nick: mysql-5.0-bugteam
                timestamp: Mon 2008-08-11 13:56:54 -0400
                message:
                  Merge from bugteam 5.0 trunk.
            ------------------------------------------------------------
            revno: 1810.3757.1
            committer: Marc Alff <marc.alff@sun.com>
            branch nick: mysql-5.0-38296
            timestamp: Mon 2008-08-11 10:10:00 -0600
            message:
              Bug#38296 (low memory crash with many conditions in a query)
              
              This fix is for 5.0 only : back porting the 6.0 patch manually
              
              The parser code in sql/sql_yacc.yy needs to be more robust to out of
              memory conditions, so that when parsing a query fails due to OOM,
              the thread gracefully returns an error.
              
              Before this fix, a new/alloc returning NULL could:
              - cause a crash, if dereferencing the NULL pointer,
              - produce a corrupted parsed tree, containing NULL nodes,
              - alter the semantic of a query, by silently dropping token values or nodes
              
              With this fix:
              - C++ constructors are *not* executed with a NULL "this" pointer
              when operator new fails.
              This is achieved by declaring "operator new" with a "throw ()" clause,
              so that a failed new gracefully returns NULL on OOM conditions.
              
              - calls to new/alloc are tested for a NULL result,
              
              - The thread diagnostic area is set to an error status when OOM occurs.
              This ensures that a request failing in the server properly returns an
              ER_OUT_OF_RESOURCES error to the client.
              
              - OOM conditions cause the parser to stop immediately (MYSQL_YYABORT).
              This prevents causing further crashes when using a partially built parsed
              tree in further rules in the parser.
              
              No test scripts are provided, since automating OOM failures is not
              instrumented in the server.
              Tested under the debugger, to verify that an error in alloc_root cause the
              thread to returns gracefully all the way to the client application, with
              an ER_OUT_OF_RESOURCES error.
        ------------------------------------------------------------
        revno: 2646.5.35
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2008-08-11 11:30:29 -0400
        message:
          null-merge of backported changes.
            ------------------------------------------------------------
            revno: 1810.3756.1
            committer: Chad MILLER <chad@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2008-08-11 11:28:35 -0400
            message:
              Backport compiler warning fix from 5.1-bugteam.
        ------------------------------------------------------------
        revno: 2646.5.34
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2008-08-11 10:13:12 -0300
        message:
          Post-merge fix: Remove Remove unused variable.
            ------------------------------------------------------------
            revno: 1810.3754.9
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2008-08-11 10:08:21 -0300
            message:
              Post-merge fix: Silence warning due to type mismatch.
        ------------------------------------------------------------
        revno: 2646.5.33
        committer: Kristofer Pettersson <kpettersson@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2008-08-11 13:06:16 +0200
        message:
          Null merging 5.0->5.1; Changeset is a back port.
            ------------------------------------------------------------
            revno: 1810.3754.8
            committer: Kristofer Pettersson <kpettersson@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2008-08-11 13:00:48 +0200
            message:
              Automerge
            ------------------------------------------------------------
            revno: 1810.3755.1
            committer: Kristofer Pettersson <kpettersson@mysql.com>
            branch nick: mysql-5.0-bugteam-bug24176
            timestamp: Mon 2008-08-11 11:40:54 +0200
            message:
              Bug#38486 Crash when using cursor protocol
                          
              Server side cursors were not initialized properly and this caused a reference to
              uninitialized memory.
        ------------------------------------------------------------
        revno: 2646.5.32
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Thu 2008-08-07 18:08:31 -0400
        message:
          Merge from bugteam trunk.
            ------------------------------------------------------------
            revno: 2646.9.1
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: breakage-5.1
            timestamp: Wed 2008-08-06 23:23:58 -0300
            message:
              Bug#21226 FLUSH PRIVILEGES does not provided feedback when it fails.
              
              Post-merge fix: remove spurious semicolon that caused the function
              to return failure regardless of the outcome.
        ------------------------------------------------------------
        revno: 2646.5.31
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Thu 2008-08-07 16:27:05 -0400
        message:
          merge from local 5.0 fix tree.
            ------------------------------------------------------------
            revno: 1810.3754.7
            committer: Chad MILLER <chad@mysql.com>
            branch nick: mysql-5.0-bugteam--bug31605
            timestamp: Thu 2008-08-07 12:24:39 -0400
            message:
              Bug#31605: mysql_upgrade relies on Linux /proc filesystem when not \
              	running on Windows
              
              We used two OS-specific methods of looking up the executable 
              name, which don't work outside of those two kinds of OSes 
              (Linux+Solaris and Windows).
              
              We assume that if the user ran this program with a certain 
              name, we can run the other sibling programs with a similar name.
              
              (re-patch in bzr)
        ------------------------------------------------------------
        revno: 2646.5.30
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2008-08-06 16:45:15 -0400
        message:
          Better fix of build-tags, merged from local 5.0-bugteam .
            ------------------------------------------------------------
            revno: 1810.3754.6
            committer: Chad MILLER <chad@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Wed 2008-08-06 16:25:25 -0400
            message:
              Bug#37201: make tags doesn't work in bazaar server trees
              
              Fall back to "find" if bzr is unavailable.
              
              Don't fail for paths that have spaces in them.
        ------------------------------------------------------------
        revno: 2646.5.29
        committer: Chad MILLER <chad@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2008-08-06 15:29:41 -0400
        message:
          Merge from local 5.0-bugteam.
            ------------------------------------------------------------
            revno: 1810.3754.5
            committer: Chad MILLER <chad@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Wed 2008-08-06 15:27:28 -0400
            message:
              Bug#37201: make tags doesn't work in bazaar server trees
              
              bk sfiles -> bzr ls
        ------------------------------------------------------------
        revno: 2646.5.28
        committer: Kristofer Pettersson <kpettersson@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2008-08-06 16:20:41 +0200
        message:
          Manual merge 5.0->5.1
            ------------------------------------------------------------
            revno: 1810.3754.4
            committer: Kristofer Pettersson <kpettersson@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2008-08-04 14:37:28 +0200
            message:
              automerge
            ------------------------------------------------------------
            revno: 1810.3754.3
            committer: Kristofer Pettersson <kpettersson@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Tue 2008-07-29 15:58:15 +0200
            message:
              Bug#29738 Error message not properly translated to Serbian
                    
              Community contribution fix for Serbian translation in error message list.
            ------------------------------------------------------------
            revno: 1810.3754.2
            committer: Kristofer Pettersson <kpettersson@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Tue 2008-07-29 15:37:09 +0200
            message:
              Bug#37781 mysql_drop_user calls get_current_user() twice for no reason
              
              Fixed typo and removed duplicate call to get_current_user.
            ------------------------------------------------------------
            revno: 1810.3754.1
            committer: Kristofer Pettersson <kpettersson@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Tue 2008-07-29 15:15:04 +0200
            message:
              auto merge
            ------------------------------------------------------------
            revno: 1810.3753.1
            committer: Kristofer Pettersson <kpettersson@mysql.com>
            branch nick: mysql-5.0-bug21226
            timestamp: Wed 2008-06-18 21:09:30 +0200
            message:
              Bug#21226 FLUSH PRIVILEGES does not provided feedback when it fails.
                
              If during a FLUSH PRIVILEGES the server fails to load the new privilege
              tables, the error message is lost. This patch is a back port from 5.1 which
              adresses this issue by setting the server in an error state if a failure
              occurrs.
                
              This patch also corrects an incorrect variable assignment which might
              cause an error state to be reverted by coincidence.
        ------------------------------------------------------------
        revno: 2646.5.27
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: 5.1-bugfix
        timestamp: Fri 2008-08-01 12:10:06 -0300
        message:
          Bug#37003: Tests sporadically crashes with embedded server
          
          Post-merge fix: Alter linking order so that the thread linking
          flags appear last in the list. This needs to be done this way
          because some linkers will not search the thread archive again
          if a undefined symbol (pthread_kill in this case) appears later.
        ------------------------------------------------------------
        revno: 2646.5.26
        committer: Georgi Kodinov <kgeorge@mysql.com>
        branch nick: B37662-5.1-bugteam
        timestamp: Thu 2008-07-31 12:50:24 +0300
        message:
          merged 34159 and 37662 5.0-bugteam->5.1-bugteam
            ------------------------------------------------------------
            revno: 1810.3751.8
            committer: Georgi Kodinov <kgeorge@mysql.com>
            branch nick: B37662-5.0-bugteam
            timestamp: Thu 2008-07-31 12:28:04 +0300
            message:
              Bug#34159: mysql_install_db fails with sql_mode=TRADITIONAL
                    
              Reset session sql_mode before creating system tables as it
              is done in the mysql_fix_privilege_tables.sql script.
            ------------------------------------------------------------
            revno: 1810.3751.7
            committer: Georgi Kodinov <kgeorge@mysql.com>
            branch nick: B37662-5.0-bugteam
            timestamp: Wed 2008-07-30 14:07:37 +0300
            message:
              Bug#37662 nested if() inside sum() is parsed in exponential time
                    
              min() and max() functions are implemented in MySQL as macros.
              This means that max(a,b) is expanded to: ((a) > (b) ? (a) : (b))
              Note how 'a' is quoted two times.
              Now imagine 'a' is a recursive function call that's several 10s of levels deep.
              And the recursive function does max() with a function arg as well to dive into
              recursion.
              This means that simple function call can take most of the clock time.
              Identified and fixed several such calls to max()/min() : including the IF() 
              sql function implementation.
            ------------------------------------------------------------
            revno: 1810.3751.6
            committer: Igor Babaev <igor@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2008-07-28 01:24:56 -0700
            message:
              Merge
            ------------------------------------------------------------
            revno: 1810.3752.1
            committer: Igor Babaev <igor@mysql.com>
            branch nick: mysql-5.0-bug38191
            timestamp: Sat 2008-07-26 13:44:07 -0700
            message:
              Fixed bug #38191.
              Calling List<Cached_item>::delete_elements for the same list twice
              caused a crash of the server in the function JOIN::cleaunup.
              Ensured that delete_elements() in JOIN::cleanup would be called only once.
        ------------------------------------------------------------
        revno: 2646.5.25
        committer: Alexander Barkov <bar@mysql.com>
        branch nick: mysql-5.1.b35808
        timestamp: Tue 2008-07-29 08:25:46 +0500
        message:
          Bug#35808 utf8 hungarian collation not part of the utf8 charset?
          config/ac-macros/character_sets.m4 didn't mention hungarian collations
          in the UTF8 and UCS2 lists.
        ------------------------------------------------------------
        revno: 2646.5.24
        committer: Patrick Crews <pcrews@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2008-07-25 13:14:52 -0400
        message:
          Bug#38383 - Certain funcs_1 trig tests are failing on Pushbuild.
          
          Removing duplicate 'setup' portions of these include files.  Likely an editor error created dupe lines.
          This is causing many Pushbuild errors
        ------------------------------------------------------------
        revno: 2646.5.23
        committer: Georgi Kodinov <kgeorge@mysql.com>
        branch nick: merge-5.1-bugteam
        timestamp: Fri 2008-07-25 18:06:47 +0300
        message:
          merge of 5.1-main to 5.1-bugteam
            ------------------------------------------------------------
            revno: 2646.8.3
            committer: Georgi Kodinov <kgeorge@mysql.com>
            branch nick: disable_faling_tests-5.1
            timestamp: Fri 2008-07-25 13:32:05 +0300
            message:
              Disabled 5.1 tests (and reported bugs)
            ------------------------------------------------------------
            revno: 2646.8.2
            committer: Chad MILLER <chad@mysql.com>
            branch nick: mysql-5.1
            timestamp: Thu 2008-07-24 13:43:14 -0400
            message:
              Make community features (including profiling) on by default.
            ------------------------------------------------------------
            revno: 2646.8.1
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1
            timestamp: Tue 2008-07-22 15:24:31 -0300
            message:
              Merge 5.1-bugteam into main.
        ------------------------------------------------------------
        revno: 2646.5.22
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-merge
        timestamp: Fri 2008-07-25 12:12:47 -0300
        message:
          Null merge of mysql-5.0-bugteam into mysql-5.1-bugteam.
            ------------------------------------------------------------
            revno: 1810.3751.5
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: 33362-5.0
            timestamp: Thu 2008-07-24 11:14:34 -0300
            message:
              Cherry-pick Bug#33362 from mysql-5.1
            ------------------------------------------------------------
            revno: 1810.3751.4
            committer: Georgi Kodinov <kgeorge@mysql.com>
            branch nick: B37830-5.0-bugteam
            timestamp: Wed 2008-07-23 14:25:00 +0300
            message:
              Bug#37830 : ORDER BY ASC/DESC - no difference
                                
              Range scan in descending order for c <= <col> <= c type of
              ranges was ignoring the DESC flag.
              However some engines like InnoDB have the primary key parts 
              as a suffix for every secondary key.
              When such primary key suffix is used for ordering ignoring 
              the DESC is not valid.
              But we generally would like to do this because it's faster.
                          
              Fixed by performing only reverse scan if the primary key is used.
              Removed some dead code in the process.
        ------------------------------------------------------------
        revno: 2646.5.21
        committer: Kristofer Pettersson <kpettersson@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Thu 2008-07-24 22:50:47 +0200
        message:
          auto merged
            ------------------------------------------------------------
            revno: 2661.2.11
            committer: Horst Hunger <horst@mysql.com>
            branch nick: 5.1-clean
            timestamp: Thu 2008-07-24 09:49:29 +0200
            message:
              Merge from parent.
                ------------------------------------------------------------
                revno: 2646.7.1
                committer: Sven Sandberg <sven@mysql.com>
                branch nick: 5.1-bugteam
                timestamp: Wed 2008-07-23 16:34:02 +0200
                message:
                  BUG#37733: rpl.rpl_flushlog_loop 'row' fails sporadically on pushbuild
                  BUG#37884: rpl_row_basic_2myisam and rpl_row_basic_3innodb fail sporadically in pushbuild
                  These have been fixed in 5.1-rpl. Re-applying fix for BUG#37884
                  in 5.1-bugteam, and disabling rpl_flushlog_loop for BUG#37733 in
                  5.1-bugteam.
            ------------------------------------------------------------
            revno: 2661.2.10
            committer: Horst Hunger <horst@mysql.com>
            branch nick: 5.1-clean
            timestamp: Wed 2008-07-23 16:06:44 +0200
            message:
              Final fix for bug#36522 in 5.1. This new fix was necessary due to fix of bug 37708.
            ------------------------------------------------------------
            revno: 2661.2.9
            committer: Horst Hunger <horst@mysql.com>
            branch nick: 5.1-clean
            timestamp: Wed 2008-07-23 08:51:04 +0200
            message:
              fix of bug#37708: removed a forgotten include file. 
            ------------------------------------------------------------
            revno: 2661.2.8
            committer: Horst Hunger <horst@mysql.com>
            branch nick: 5.1-clean
            timestamp: Wed 2008-07-23 08:49:41 +0200
            message:
              merge from parent
            ------------------------------------------------------------
            revno: 2661.2.7
            committer: Horst Hunger <horst@mysql.com>
            branch nick: 5.1-clean
            timestamp: Tue 2008-07-22 19:00:27 +0200
            message:
              Fix for bug#37708:
              Deleted the removed tests.
            ------------------------------------------------------------
            revno: 2661.2.6
            committer: Horst Hunger <horst@mysql.com>
            branch nick: 5.1-clean
            timestamp: Tue 2008-07-22 18:56:50 +0200
            message:
              (no message)
            ------------------------------------------------------------
            revno: 2661.2.5
            committer: Horst Hunger <horst@mysql.com>
            branch nick: 5.1-clean
            timestamp: Tue 2008-07-22 18:50:36 +0200
            message:
              Fix for bug#37708:The result files of the removed 64 bit tests.
            ------------------------------------------------------------
            revno: 2661.2.4
            committer: Horst Hunger <horst@mysql.com>
            branch nick: 5.1-clean
            timestamp: Tue 2008-07-22 18:48:47 +0200
            message:
              Fix for bug#37708: Result files of removed 32 bit tests.
            ------------------------------------------------------------
            revno: 2661.2.3
            committer: Horst Hunger <horst@mysql.com>
            branch nick: 5.1-clean
            timestamp: Tue 2008-07-22 18:45:55 +0200
            message:
              Fix for bug#37708:The allocation of very large buffer must not be done in the pushbuild.
              hhunger.
            ------------------------------------------------------------
            revno: 2661.2.2
            committer: Horst Hunger <horst@mysql.com>
            branch nick: 5.1-clean
            timestamp: Tue 2008-07-22 18:39:56 +0200
            message:
              merge from parent.
            ------------------------------------------------------------
            revno: 2661.2.1
            committer: Horst Hunger <horst@mysql.com>
            branch nick: 5.1-clean
            timestamp: Tue 2008-07-22 15:58:21 +0200
            message:
              Fix for bug#37708:The allocation of very large buffer must not be done in the pushbuild.
        ------------------------------------------------------------
        revno: 2646.5.20
        committer: Kristofer Pettersson <kpettersson@mysql.com>
        branch nick: mysql-5.1-bugteam-bug38002
        timestamp: Thu 2008-07-24 22:38:44 +0200
        message:
          Bug#38002 table_cache consumes too much memory with blobs
               
          Tables in the table definition cache are keeping a cache buffer for blob
          fields which can consume a lot of memory.
              
          This patch introduces a maximum size threshold for these buffers.
        ------------------------------------------------------------
        revno: 2646.5.19
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-bugteam-stage
        timestamp: Tue 2008-07-22 14:53:36 -0300
        message:
          Silence warning due to unused function.
        ------------------------------------------------------------
        revno: 2646.5.18
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-merge
        timestamp: Tue 2008-07-22 14:41:26 -0300
        message:
          Merge from mysql-5.1.27 release tree.
            ------------------------------------------------------------
            revno: 2646.6.8
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1.27-release
            timestamp: Thu 2008-07-17 15:20:01 -0300
            message:
              Bug#33812: mysql client incorrectly parsing DELIMITER
              
              Revert fix for this bug as it introduced a regression
              reported in Bug#38158.
            ------------------------------------------------------------
            revno: 2646.6.7
            tags: clone-5.1.27-build
            committer: mysqldev <mysqldev@production.mysql.com>
            branch nick: mysql-5.1.27-release
            timestamp: Mon 2008-07-14 16:46:35 +0200
            message:
              Set version number to 5.1.27
        ------------------------------------------------------------
        revno: 2646.5.17
        committer: Sergei Golubchik <serg@mysql.com>
        branch nick: 5.1
        timestamp: Tue 2008-07-22 16:42:03 +0200
        message:
          merge
            ------------------------------------------------------------
            revno: 2661.1.7
            committer: Kristofer Pettersson <kpettersson@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2008-07-22 13:33:37 +0200
            message:
              auto merge
                ------------------------------------------------------------
                revno: 1810.3751.3
                committer: Kristofer Pettersson <kpettersson@mysql.com>
                branch nick: mysql-5.0-bugteam
                timestamp: Tue 2008-07-22 12:55:15 +0200
                message:
                  merge 5.0->5.0-bugteam
            ------------------------------------------------------------
            revno: 2661.1.6
            committer: Kristofer Pettersson <kpettersson@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2008-07-22 13:04:32 +0200
            message:
              Disabled two test cases in 5.1 because of random failures.
            ------------------------------------------------------------
            revno: 2661.1.5
            committer: Kristofer Pettersson <kpettersson@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2008-07-22 12:56:36 +0200
            message:
              merge 5.1->5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.1.4
            committer: Kristofer Pettersson <kpettersson@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2008-07-22 12:41:55 +0200
            message:
              (no message)
                ------------------------------------------------------------
                revno: 1810.3751.2
                committer: Kristofer Pettersson <kpettersson@mysql.com>
                branch nick: mysql-5.0-bugteam
                timestamp: Mon 2008-07-21 12:24:31 +0200
                message:
                  Auto merge
            ------------------------------------------------------------
            revno: 2661.1.3
            committer: Tatiana A. Nurnberg <azundris@mysql.com>
            branch nick: 51-23921
            timestamp: Tue 2008-07-22 08:54:07 +0200
            message:
              auto-merge
                ------------------------------------------------------------
                revno: 2672.14.4
                committer: Sven Sandberg <sven@mysql.com>
                branch nick: 5.1-bugteam
                timestamp: Mon 2008-07-21 21:05:06 +0200
                message:
                  BUG#38269: pushbuild gives valgrind error in ha_statistic_increment for rpl_temporary
                  This does not fix the bug. It only disables the failing test.
                ------------------------------------------------------------
                revno: 2672.14.3
                committer: Kristofer Pettersson <kpettersson@mysql.com>
                branch nick: mysql-5.1-bugteam
                timestamp: Mon 2008-07-21 16:41:17 +0200
                message:
                  Corrected merge misstake.
                ------------------------------------------------------------
                revno: 2672.14.2
                committer: Kristofer Pettersson <kpettersson@mysql.com>
                branch nick: mysql-5.1-bugteam
                timestamp: Mon 2008-07-21 14:00:13 +0200
                message:
                  Auto merge
                ------------------------------------------------------------
                revno: 2672.14.1
                committer: Kristofer Pettersson <kpettersson@mysql.com>
                branch nick: mysql-5.1-bugteam
                timestamp: Mon 2008-07-21 11:18:35 +0200
                message:
                  Manual merge
                ------------------------------------------------------------
                revno: 1810.3751.1
                committer: Kristofer Pettersson <kpettersson@mysql.com>
                branch nick: mysql-5.0-bugteam-bug37027
                timestamp: Thu 2008-07-24 14:28:21 +0200
                message:
                  Bug#37027 expire_logs_days and missing binlogs cause a crash !
                  
                  If the server failed to expired log files during start up it could crash.
            ------------------------------------------------------------
            revno: 2661.1.2
            committer: Tatiana A. Nurnberg <azundris@mysql.com>
            branch nick: 51-23921
            timestamp: Mon 2008-07-21 11:20:03 +0200
            message:
              auto-merge + post-merge fixies
            ------------------------------------------------------------
            revno: 2661.1.1
            committer: Tatiana A. Nurnberg <azundris@mysql.com>
            branch nick: 51-23921
            timestamp: Tue 2008-07-15 13:42:21 +0200
            message:
              Bug#23921: random failure of user_limits.test
              
              mysqltest disconnect/connect-combo could be so
              quick that connect would hit the server before
              it had processed the disconnect. Since that
              resulted in one more concurrent connection than
              we meant to have, global or per-user
              max-user-connections could be exceeded.
              This could lead to "random" failures in tests
              that set those limits.
        ------------------------------------------------------------
        revno: 2646.5.16
        committer: Sergei Golubchik <serg@mysql.com>
        branch nick: 5.1
        timestamp: Mon 2008-07-21 12:01:22 +0200
        message:
          Bug#34409 LOCK_plugin contention via ha_release_temporary_latches/plugin_foreach
          use thread-local data structures in ha_release_temporary_latches()
        ------------------------------------------------------------
        revno: 2646.5.15
        committer: Timothy Smith <timothy.smith@sun.com>
        branch nick: 5.1-build
        timestamp: Sun 2008-07-20 22:01:25 -0600
        message:
          Up-merge latest changes from 5.0-build
            ------------------------------------------------------------
            revno: 1810.3717.21
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 5.0-build
            timestamp: Sun 2008-07-20 21:59:47 -0600
            message:
              Merge latest changes from 5.0-build
            ------------------------------------------------------------
            revno: 1810.3750.1
            author: kent@mysql.com
            committer: mysqldev <mysqldev@production.mysql.com>
            branch nick: mysql-5.0-build
            timestamp: Sat 2008-07-19 02:52:13 +0200
            message:
              Merge from mysql-5.0.66-release
        ------------------------------------------------------------
        revno: 2646.5.14
        committer: Timothy Smith <timothy.smith@sun.com>
        branch nick: 5.1-build
        timestamp: Sat 2008-07-19 02:31:33 -0600
        message:
          Up-merge of merges, some criss-cross resolved with --weave.
            ------------------------------------------------------------
            revno: 1810.3717.20
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 5.0-build
            timestamp: Fri 2008-07-18 21:46:03 -0600
            message:
              Merge 5.0.66a-release changes
            ------------------------------------------------------------
            revno: 1810.3717.19
            author: Jonathan Perkin <jperkin@sun.com>
            committer: mysqldev <mysqldev@production.mysql.com>
            branch nick: mysql-5.0-build
            timestamp: Wed 2008-07-16 12:28:44 +0200
            message:
              Merge from mysql-5.0.60sp1-release
                ------------------------------------------------------------
                revno: 1810.3718.8
                tags: mysql-5.0.60sp1
                author: Jonathan Perkin <jperkin@sun.com>
                committer: mysqldev <mysqldev@production.mysql.com>
                branch nick: mysql-5.0.60sp1-release
                timestamp: Fri 2008-06-27 18:43:45 +0200
                message:
                  Revert NDB version bump completely.
                ------------------------------------------------------------
                revno: 1810.3718.7
                author: Jonathan Perkin <jperkin@sun.com>
                committer: mysqldev <mysqldev@production.mysql.com>
                branch nick: mysql-5.0.60sp1-release
                timestamp: Fri 2008-06-27 18:13:50 +0200
                message:
                  Try different sp1 suffix for NDB.
                ------------------------------------------------------------
                revno: 1810.3718.6
                author: Jonathan Perkin <jperkin@sun.com>
                committer: mysqldev <mysqldev@production.mysql.com>
                branch nick: mysql-5.0.60sp1-release
                timestamp: Fri 2008-06-27 12:58:07 +0200
                message:
                  Version number bump for 5.0.60sp1
            ------------------------------------------------------------
            revno: 1810.3717.18
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: push-5.0
            timestamp: Mon 2008-07-14 12:39:32 +0200
            message:
              Merge main 5.0 into 5.0-build
            ------------------------------------------------------------
            revno: 1810.3717.17
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: push-5.0
            timestamp: Wed 2008-07-09 13:17:53 +0200
            message:
              Merge from main 5.0 to 5.0-build.
            ------------------------------------------------------------
            revno: 1810.3717.16
            committer: Daniel Fischer <df@sun.com>
            branch nick: mysql-5.0-build
            timestamp: Sat 2008-07-05 09:44:10 +0200
            message:
              ild can not be expected on all matching installs
            ------------------------------------------------------------
            revno: 1810.3717.15
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: push-5.0
            timestamp: Fri 2008-06-27 19:42:31 +0200
            message:
              Take the fix for bug#37623 (Suffix "-64bit" is duplicated)
              into the 5.0-build team tree.
        ------------------------------------------------------------
        revno: 2646.5.13
        committer: Timothy Smith <timothy.smith@sun.com>
        branch nick: 5.1-build
        timestamp: Fri 2008-07-18 21:48:18 -0600
        message:
          Merge in changes from 5.0.66a (via mysql-5.0)
            ------------------------------------------------------------
            revno: 2672.13.1
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 5.1
            timestamp: Thu 2008-07-17 11:45:08 -0600
            message:
              Up-merge 5.0.66a-release changes (via 5.0) into 5.1.
              
              Includes fix for Bug #38180, "options are read from ~/my.cnf instead of ~/.my.cnf"
            ------------------------------------------------------------
            revno: 1810.3749.1
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 5.0
            timestamp: Thu 2008-07-17 11:08:49 -0600
            message:
              Merge in changes from mysql-5.0.66a-release into 5.0.
              
              Includes fix for Bug #38180, "options are read from ~/my.cnf instead of ~/.my.cnf"
            ------------------------------------------------------------
            revno: 1810.3748.4
            author: kent.boortz@sun.com
            committer: mysqldev <mysqldev@production.mysql.com>
            branch nick: mysql-5.0.66a-release
            timestamp: Thu 2008-07-17 01:33:45 +0200
            message:
              Set version to 5.0.66a
            ------------------------------------------------------------
            revno: 1810.3748.3
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 5.0.66-bug38180
            timestamp: Wed 2008-07-16 16:58:45 -0600
            message:
              Bug #38180  	options are read from ~/my.cnf instead of ~/.my.cnf
              
              Pull out some of unpack_dirname() into normalize_dirname(); this
              new function does not expand "~" to the home directory.  Use this
              function in unpack_dirname(), and use it during init_default_directories()
              to remove duplicate entries without losing track of which directory
              is a user's home dir.
            ------------------------------------------------------------
            revno: 1810.3748.2
            tags: mysql-5.0.66
            committer: Georgi Kodinov <kgeorge@mysql.com>
            branch nick: merge-5.0.66-release
            timestamp: Wed 2008-07-09 13:03:48 +0300
            message:
              fixed a compilation warning on windows 64.
            ------------------------------------------------------------
            revno: 1810.3748.1
            committer: Georgi Kodinov <kgeorge@mysql.com>
            branch nick: merge-5.0.66-release
            timestamp: Wed 2008-07-09 12:59:28 +0300
            message:
              automatic merge of 5.0-bugteam into the 5.0.66 release clone.
        ------------------------------------------------------------
        revno: 2646.5.12
        committer: Daniel Fischer <df@sun.com>
        branch nick: mysql-5.1-build
        timestamp: Tue 2008-07-15 18:43:25 +0200
        message:
          test case fix
        ------------------------------------------------------------
        revno: 2646.5.11
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: push-5.1
        timestamp: Mon 2008-07-14 12:50:31 +0200
        message:
          Merge main 5.1 to 5.1-build
        ------------------------------------------------------------
        revno: 2646.5.10
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: push-5.1
        timestamp: Fri 2008-07-11 20:51:10 +0200
        message:
          Merge 5.1.26-rc to 5.1-build for further pushing it to the main tree.
            ------------------------------------------------------------
            revno: 2646.6.6
            tags: mysql-5.1.26
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: clone-5.1
            timestamp: Mon 2008-06-30 22:52:26 +0200
            message:
              Version 5.1.26 is labeled "rc".
